For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
        • GETList Project Invitations
        • POSTCreate Project Invitations
        • PUTResend Project Invitation
        • DELRevoke Project Invitation
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsProjectsInvitations

List Project Invitations

GET
https://api.confident-ai.com/v1/projects/:projectId/invitations
GET
/v1/projects/:projectId/invitations
$curl https://api.confident-ai.com/v1/projects/projectId/invitations \
> -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200Retrieved
1{
2 "success": true,
3 "data": {
4 "invitations": [
5 {
6 "id": 201,
7 "email": "carol@example.com",
8 "status": "PENDING",
9 "created_at": "2024-12-04T23:00:00.000Z",
10 "projectRoleId": "project-role-uuid-2"
11 }
12 ]
13 }
14}
Lists the project's pending and declined invitations.
Was this page helpful?
Previous

Create Project Invitations

Next
Built with

Path parameters

projectIdstringRequired
The unique identifier of the project.

Headers

CONFIDENT_API_KEYstringRequired
The organization API key for your Confident AI organization.

Response

successboolean
Indicates if the request was successful
dataobject